//N: number of vectors
//PITCH: angle between any vector and plane y=0
//R1: radius of spheres
//R2: radius of cylinders

#macro framezonohedron (N, PITCH,R1,R2)
#local RISE = sin(radians(PITCH));
#local TOP = (<0,N*RISE,0>);
#local BOT = <0,0,0>;
union{
sphere{ TOP R1 texture{T1}}
sphere{ BOT R1 texture{T1}}
	
	#local J = 1; //initialize outer loop
	#while (J <= N)
	#local MARK = BOT; //a "point of reference" for the frame
	#local R = <cos(radians(PITCH))*cos(J*2*pi/N), RISE, cos(radians(PITCH))*sin(J*2*pi/N)>;
	sphere{TOP-R R1 texture{T1}}
	cylinder{BOT, BOT+R R2 texture{T2}}
	cylinder{TOP, TOP-R R2 texture{T2}}
	
		#local K = 1;
		#while (K < N-1)
		#local S = <cos(radians(PITCH))*cos((J+K)*2*pi/N), RISE, cos(radians(PITCH))*sin((J+K)*2*pi/N)>;
		sphere{MARK+R R1 texture{T1}}
		cylinder{MARK+R, MARK+R+S R2 texture{T2}}
		cylinder{MARK+S, MARK+R+S R2 texture{T2}}
		#local MARK = MARK+S;
		#local K = K+1;
		#end
		
	#local J = J+1;
	#end
}
#declare CENT = <0, (N/2)*RISE, 0>;
#end//end macro
