//N: number of vectors
//PITCH: angle between any vector and plane y=0
#macro polarzonohedron (N, PITCH)
#local RISE = sin(radians(PITCH)); 
#local J = 1; //initialize outer loop
mesh{
#while (J <= N)
#local K = 1;
#local MARK = <0,0,0>; //a "point of reference" for the triangles
#local R = <cos(radians(PITCH))*cos(J*2*pi/N), RISE, cos(radians(PITCH))*sin(J*2*pi/N)>;
	#while (K <= N-1)
	#local S = <cos(radians(PITCH))*cos((J+K)*2*pi/N), RISE, cos(radians(PITCH))*sin((J+K)*2*pi/N)>;
	triangle {
		MARK
		MARK+R+S
		MARK+R
	}
	triangle {
		MARK
		MARK+S
		MARK+R+S
	}
	#local MARK = MARK+S;
	#local K = K+1;
	#end
#local J = J+1;
#end
#declare CENT = <0, (N/2)*RISE, 0>;
}
#end//end macro
